<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:util="http://www.springframework.org/schema/util"
       xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-2.5.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-2.5.xsd">

<!-- サービス層のBean定義 -->
<!--
  業務ロジックやサービス層で利用するクラスのBean定義などを記述する。
  サービス層共通のBean定義はapplicationContext.xmlに記述すること。 
-->

  <!-- 共通定義のインポート -->
  <import resource="/commonContext.xml"/>

<!-- ======================================== 業務ロジック定義 -->

  <!-- 2.3 単純なロジック simpleService 定義 -->
  <bean id="simpleService"
    class="jp.terasoluna.rich.tutorial.service.blogic.SimpleBLogic"
    scope="prototype">
  </bean>

  <!-- 2.4 データベースアクセス dbAccessService 定義 -->
  <bean id="dbAccessService"
    class="jp.terasoluna.rich.tutorial.service.blogic.DBAccessBLogic"
    scope="prototype">
    <property name="updateDAO" ref="updateDAO"/>
    <property name="queryDAO" ref="queryDAO" />
  </bean>

</beans>
